Home

# Class goog.fs.FileSaver

An object for monitoring the saving of files. This emits ProgressEvents of the types listed in {@link goog.fs.FileSaver.EventType}. This should not be instantiated directly. Instead, its subclass {@link goog.fs.FileWriter} should be accessed via {@link goog.fs.FileEntry#createWriter}.

extends goog.events.EventTarget

Instance Method Summary
| `abort()` Abort the writing of the file.
| `dispatchProgressEvent_(!ProgressEvent event)` Wrap a progress event emitted by the underlying file saver and re-emit it.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getError() ⇒ ?goog.fs.Error`
| `getReadyState() ⇒ ?goog.fs.FileSaver.ReadyState`